| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
LPC17xx/40xx SWIM color bars
SWIM examples

## Detailed Description

Example description
This SWIM example draws some color bars on the display, animates a simple ball, and shows the LCD VCOMP IRQ interrupt rate (number of LCD refresh cycles).

Special connection requirements
There are no special connection requirements for this example.

Build procedures:
LPC17xx/40xx example quickstart for Keil uVision4
LPC17xx/40xx example quickstart for IAR EWARM
LPC17xx/40xx example quickstart for Code Red Xpresso

Supported boards and board setup:
Embedded Artists' LPC1788 Developer's Kit
Embedded Artists' LPC4088 Developer's Kit

Submitting LPCOpen issues:
Community support for LPCOpen

## Macros
#define | FONT font_x6x13
#define | DISPLAY_WIDTH BOARD_LCD.PPL
#define | DISPLAY_HEIGHT BOARD_LCD.LPP

## Functions
static void | lcd_colorbars (void)
void | LCD_IRQHandler (void)
| LCD VCOMP Interrupt Handler.
int | main (void)
| Main entry point.

## Variables
static uint16_t * | framebuffer = (uint16_t *) FRAMEBUFFER_ADDR
static volatile uint32_t | frame_rate_counter

## Macro Definition Documentation

#define DISPLAY_HEIGHT BOARD_LCD.LPP

Definition at line 77 of file swim_color_bars.c.

#define DISPLAY_WIDTH BOARD_LCD.PPL

Definition at line 76 of file swim_color_bars.c.

#define FONT font_x6x13

Definition at line 73 of file swim_color_bars.c.

## Function Documentation

static void lcd_colorbars | ( | void |  | ) |
| static

Definition at line 88 of file swim_color_bars.c.

void LCD_IRQHandler | ( | void |  | ) |

LCD VCOMP Interrupt Handler.

Returns
  Nothing

Definition at line 222 of file swim_color_bars.c.

int main | ( | void |  | ) |

Main entry point.

Main program body.

Returns
  Nothing

defined(CHIP_LPC175X_6X)

Definition at line 232 of file swim_color_bars.c.

## Variable Documentation

volatile uint32_t frame_rate_counter
| static

Definition at line 71 of file swim_color_bars.c.

uint16_t* framebuffer = (uint16_t *) FRAMEBUFFER_ADDR
| static

Definition at line 68 of file swim_color_bars.c.